// creator  : weidu.exe (version 23100)
// argument : _SKIE.DLG
// game		 : .
// source	 : ./override/_SKIE.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_SKIE~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #5 /* Triggers after states #: 9 10 11 12 13 even though they appear after this state */
~InParty("eldoth")
NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #86995 /* ~Eldoth!  I thought I'd never see you again. Who are you?  What are you doing here?~ [_SKIEE01] */
  IF ~~ THEN EXTERN ~_ELDOTJ~ 7
END

IF WEIGHT #6 /* Triggers after states #: 9 10 11 12 13 even though they appear after this state */
~!InParty("eldoth")
NumberOfTimesTalkedTo(0)
~ THEN BEGIN 1 // from:
  SAY #86996 /* ~Who are you?  What are you doing here?~ [_KIEE01A] */
  IF ~~ THEN REPLY #86997 /* ~We're here to rescue you from the clutches of your vile father.~ */ GOTO 2
  IF ~~ THEN REPLY #86998 /* ~We're here to kill you.~ */ GOTO 4
  IF ~~ THEN REPLY #86999 /* ~We're here to rob your estate.~ */ GOTO 4
  IF ~~ THEN REPLY #87000 /* ~We're house cleaners.~ */ GOTO 4
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #87001 /* ~Who are you?  Help!  Help!~ */
  IF ~~ THEN DO ~CreateCreature("_GUARD",[701.1285],0)
CreateCreature("_GUARD",[701.1285],0)
CreateCreature("_GUARD",[701.1285],0)
EraseJournalEntry(87737)
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 3 // from:
  SAY #87002 /* ~I won't leave unless Eldoth comes to get me.~ */
  IF ~~ THEN REPLY #87003 /* ~Don't be stupid, come with us now.~ */ GOTO 4
  IF ~~ THEN REPLY #87004 /* ~Just wait here and we'll get Eldoth.~ */ GOTO 5
END

IF ~~ THEN BEGIN 4 // from: 3.0 1.3 1.2 1.1
  SAY #87005 /* ~Help!  The estate is under attack!  Help!~ */
  IF ~~ THEN DO ~CreateCreature("_GUARD",[701.1285],0)
CreateCreature("_GUARD",[701.1285],0)
CreateCreature("_GUARD",[701.1285],0)
EraseJournalEntry(87737)
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 3.1
  SAY #87006 /* ~Okay, but I'm not going to leave until he's here.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from:
  SAY #87007 /* ~Thank you for your help!  I am so happy to be away from that horrid place.  Eldoth told me that you were adventurers.  Perhaps you would let me join your party?~ */
  IF ~~ THEN REPLY #87008 /* ~We don't need some snot-nosed brat tagging along.~ */ GOTO 8
  IF ~~ THEN REPLY #87009 /* ~Sure, we're always open to more help.~ */ GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.1
  SAY #87010 /* ~Thanks, I'll be the best adventurer you've ever seen!~ */
  IF ~~ THEN DO ~EraseJournalEntry(87737)
JoinParty()
~ SOLVED_JOURNAL #88968 /* ~Eldoth and Skie

We've rescued Skie and have allowed her to join up with us.~ */ EXIT
END

IF ~~ THEN BEGIN 8 // from: 6.0
  SAY #87011 /* ~I'm not a brat. Eldoth: you tell them.~ */
  IF ~~ THEN EXTERN ~_ELDOTJ~ 9
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 9 // from:
  SAY #86983 /* ~My father never let me out much.  I don't think there is anything I could tell you that would help you.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~False()
~ THEN BEGIN 10 // from:
  SAY #86979 /* ~You... you don't want me anymore?  But... but where will I go?  Oh, this hasn't worked out like I'd hoped at all.  You'll come back for me... right?~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~False()
~ THEN BEGIN 11 // from:
  SAY #86980 /* ~You... you don't want me anymore?  But... but where will I go?  Oh, this hasn't worked out like I'd hoped at all.  You'll come back for me... right?  Eldoth, you'll stay with me, won't you?  Please?~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 ~False()
~ THEN BEGIN 12 // from:
  SAY #86977 /* ~Fine!  I was going to leave soon anyway!  You're really not the kind of people I should be traveling with.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 ~False()
~ THEN BEGIN 13 // from:
  SAY #86978 /* ~Fine!  I was going to leave soon anyway!  You're really not the kind of people I should be traveling with.  Eldoth is better company than you anyway.~ */
  IF ~~ THEN EXIT
END
